Name:           apiextractor
Version:        0.10.10
Release:        17%{?dist}
Summary:        Library headers parser to extract API information

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://www.pyside.org
Source0:        http://www.pyside.org/files/apiextractor-%{version}.tar.bz2

# docs fails to build with Sphinx 1.2
# https://bugreports.qt-project.org/browse/PYSIDE-221
Patch0:         apiextractor-0.10.10-remove-sphinx-refcounting.patch

BuildRequires:  cmake gcc-c++
BuildRequires:  libxml2-devel
BuildRequires:  libxslt-devel
BuildRequires:  python-sphinx
BuildRequires:  qt4-devel

%description
The API Extractor library is used by the binding generator to parse headers of
a given library and merge this data with information provided by type system
(XML) files, resulting in a representation of how the API should be exported
to the chosen target language. The generation of source code for the bindings
is performed by specific generators using the API Extractor library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       cmake

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%patch0 -p1 -b .remove-sphinx-refcounting


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}

# Build html docs
make %{?_smp_mflags} -C %{_target_platform} doc
rm -f %{_target_platform}/doc/html/_static/images/._*
rm -f %{_target_platform}/doc/html/.buildinfo
rm -f %{_target_platform}/doc/html/objects.inv
rm -rf %{_target_platform}/doc/html/.doctrees


%install
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%check
make test -C %{_target_platform}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc AUTHORS ChangeLog COPYING
%{_libdir}/libapiextractor.so.*

%files devel
%doc %{_target_platform}/doc/html/
%{_includedir}/apiextractor/
%{_libdir}/libapiextractor.so
%{_libdir}/pkgconfig/apiextractor.pc
%{_libdir}/cmake/ApiExtractor-%{version}/


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Aug 06 2017 Björn Esser <besser82@fedoraproject.org> - 0.10.10-15
- Rebuilt for AutoReq cmake-filesystem

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.10-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.10.10-9
- Rebuilt for GCC 5 C++11 ABI change

* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jun 10 2014 Jaroslav Reznik <jreznik@redhat.com> - 0.10.10-7
- Remove Sphinx refcounting extension

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 27 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.10-2
- Rebuilt for c++ ABI breakage

* Sat Jan 21 2012 Kalev Lember <kalevlember@gmail.com> - 0.10.10-1
- Update to 0.10.10

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 26 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.8-2
- Rebuilt for glibc bug#747377

* Fri Oct 21 2011 Kalev Lember <kalevlember@gmail.com> - 0.10.8-1
- Update to 0.10.8

* Thu Aug 25 2011 Kalev Lember <kalevlember@gmail.com> - 0.10.6-1
- Update to 0.10.6

* Thu Jun 23 2011 Kalev Lember <kalev@smartlink.ee> - 0.10.4-1
- Update to 0.10.4
- Cleaned up the spec file for modern rpmbuild

* Fri May 27 2011 Kalev Lember <kalev@smartlink.ee> - 0.10.3-1
- Update to 0.10.3

* Sun May 01 2011 Kalev Lember <kalev@smartlink.ee> - 0.10.2-1
- Update to 0.10.2

* Sun Apr 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.10.1-1
- Update to 0.10.1

* Thu Mar 03 2011 Kalev Lember <kalev@smartlink.ee> - 0.10.0-1
- Update to 0.10.0

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Kalev Lember <kalev@smartlink.ee> - 0.9.3-1
- Update to 0.9.3

* Sat Nov 27 2010 Kalev Lember <kalev@smartlink.ee> - 0.9.0-2
- Removed spurious objects.inv file from html docs

* Fri Nov 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.9.0-1
- Update to 0.9.0

* Thu Oct 14 2010 Kalev Lember <kalev@smartlink.ee> - 0.8.1-2
- Removed a hidden directory from html docs

* Thu Oct 14 2010 Kalev Lember <kalev@smartlink.ee> - 0.8.1-1
- Update to 0.8.1

* Wed Sep 29 2010 jkeating - 0.8.0-2
- Rebuilt for gcc bug 634757

* Sat Sep 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.8.0-1
- Update to 0.8.0

* Wed Aug 04 2010 Kalev Lember <kalev@smartlink.ee> - 0.7.0-1
- Update to 0.7.0

* Mon Jun 21 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-4
- Use System Environment/Libraries for main package

* Sun Jun 20 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-3
- Removed .buildinfo file from documentation directory

* Sun Jun 20 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-2
- Build html documentation and ship it in -devel subpackage
- typo fix in description

* Wed Jun 16 2010 Kalev Lember <kalev@smartlink.ee> - 0.6.0-1
- Update to 0.6.0

* Fri Mar 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.0-1
- Initial RPM release
